Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.gl20
Class GL20ResourceLight

    java.lang.Object
      de.grogra.imp3d.gl20.GL20Resource
          de.grogra.imp3d.gl20.GL20ResourceLight

Direct Known Subclasses:
  GL20ResourceLightDirectional, GL20ResourceLightPoint, GL20ResourceLightSpot

    public class GL20ResourceLight

extends GL20Resource

Field Summary

Fields inherited from class de.grogra.imp3d.gl20.GL20Resource
`GL20RESOURCE_CLASS_LIGHT, GL20RESOURCE_CLASS_MASK, GL20RESOURCE_CLASS_MESH, GL20RESOURCE_CLASS_SHADER, GL20RESOURCE_CLASS_SHADERFRAGMENT, GL20RESOURCE_CLASS_SHAPE, GL20RESOURCE_CLASS_TEXTURE, GL20RESOURCE_LIGHT_DIRECTIONAL, GL20RESOURCE_LIGHT_POINT, GL20RESOURCE_LIGHT_SPOT, GL20RESOURCE_MESH_MULTI_USER, GL20RESOURCE_MESH_SINGLE_USER, GL20RESOURCE_SHADER_PHONG, GL20RESOURCE_SHADER_RGBA, GL20RESOURCE_SHADERFRAGMENT_BLEND, GL20RESOURCE_SHADERFRAGMENT_GRAYTONE, GL20RESOURCE_SHADERFRAGMENT_RGB, GL20RESOURCE_SHAPE_BOX, GL20RESOURCE_SHAPE_FRUSTUM, GL20RESOURCE_SHAPE_LINE, GL20RESOURCE_SHAPE_LINE_STRIP, GL20RESOURCE_SHAPE_PARALLELOGRAM, GL20RESOURCE_SHAPE_PLANE, GL20RESOURCE_SHAPE_POLYGONS, GL20RESOURCE_SHAPE_SPHERE, GL20RESOURCE_TEXTURE, GL20RESOURCE_TEXTURE_CUBEMAP, GL20RESOURCE_TYPE_MASK`

Constructor Summary
`protected` | `GL20ResourceLight(int resourceClassType)`

Method Summary
`void` | `destory()` destroy the resource
`Vector3f` | `getColor()` get the color of this `GL20ResourceLight`
`Matrix4d` | `getWorldTransformationMatrix()` get the world transformation matrix of this `GL20ResourceLight`
`boolean` | `isUpToDate()` check if this `GL20ResourceLight` is up to date.
`static void` | `registerLight(GL20ResourceLight light)`
`void` | `setColor(Vector3f color)` set the color of this `GL20ResourceLight`
`static void` | `setupLights()`
`void` | `setWorldTransformationMatrix(Matrix4d worldMatrix)` set world transformation matrix of this `GL20ResourceLight`
`static void` | `unregisterLight(GL20ResourceLight light)`
`void` | `update()` update the state of this `GL20ResourceLight`

Methods inherited from class de.grogra.imp3d.gl20.GL20Resource
`destroy, getResourceClass, getResourceClassType, getResourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GL20ResourceLight

    protected GL20ResourceLight(int resourceClassType)

Method Detail

### destory

    public void destory()

  destroy the resource

  See Also:
    `GL20Resource`

### getColor

    public final Vector3f getColor()

  get the color of this `GL20ResourceLight`

  Returns:
    the color

### getWorldTransformationMatrix

    public final Matrix4d getWorldTransformationMatrix()

  get the world transformation matrix of this `GL20ResourceLight`

  Returns:
    the world transformation matrix

### isUpToDate

    public boolean isUpToDate()

  check if this `GL20ResourceLight` is up to date.

  Overrides:
    `isUpToDate` in class `GL20Resource`
  Returns:
    `true` - this `GL20ResourceLight` is up to date
  See Also:
    `GL20Resource`

### registerLight

    public static final void registerLight(GL20ResourceLight light)

### setColor

    public final void setColor(Vector3f color)

  set the color of this `GL20ResourceLight`

  Parameters:
    `color` - the color

### setupLights

    public static void setupLights()

### setWorldTransformationMatrix

    public final void setWorldTransformationMatrix(Matrix4d worldMatrix)

  set world transformation matrix of this `GL20ResourceLight`

  Parameters:
    `worldMatrix` - the world transformation matrix

### unregisterLight

    public static final void unregisterLight(GL20ResourceLight light)

### update

    public void update()

  update the state of this `GL20ResourceLight`

  Overrides:
    `update` in class `GL20Resource`
  See Also:
    `GL20Resource`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD